# __gnu_cxx::balloc Namespace Reference

## Classes

- class __mini_vector
    __mini_vector<> is a stripped down version of the full-fledged std::vector<>. More...

## Enumerations

- enum { bits_per_byte, bits_per_block }

## Functions

- void __bit_allocate (size_t *__pbmap, size_t __pos) throw ()
- void __bit_free (size_t *__pbmap, size_t __pos) throw ()
- template<typename _InputIterator, typename _Predicate> _InputIterator __find_if (_InputIterator __first, _InputIterator __last, _Predicate __p)
- template<typename _ForwardIterator, typename _Tp, typename _Compare> _ForwardIterator __lower_bound (_ForwardIterator __first, _ForwardIterator __last, const _Tp &__val, _Compare __comp)
- template<typename _AddrPair> size_t __num_bitmaps (_AddrPair __ap)
- template<typename _AddrPair> size_t __num_blocks (_AddrPair __ap)

## Function Documentation

void __gnu_cxx::balloc::__bit_allocate | ( | size_t * | __pbmap,
|  | size_t | __pos
| ) | throw ()`[inline]`

| Mark a memory address as allocated by re-setting the corresponding bit in the bit-map. Definition at line 677 of file bitmap_allocator.h.

void __gnu_cxx::balloc::__bit_free | ( | size_t * | __pbmap,
|  | size_t | __pos
| ) | throw ()`[inline]`

| Mark a memory address as free by setting the corresponding bit in the bit-map. Definition at line 688 of file bitmap_allocator.h.

size_t __gnu_cxx::balloc::__num_bitmaps | ( | _AddrPair | __ap | ) | `[inline]`

| The number of Bit-maps pointed to by the address pair passed to the function. Definition at line 461 of file bitmap_allocator.h. References __num_blocks().

size_t __gnu_cxx::balloc::__num_blocks | ( | _AddrPair | __ap | ) | `[inline]`

| The number of Blocks pointed to by the address pair passed to the function. Definition at line 453 of file bitmap_allocator.h. Referenced by __num_bitmaps().